function L = get_labelmatrix()
%Second step: get the lable matrix from headinfo
%the headinfo.txt is extracted from .up file by get_headinfo();

[headinfo pathname] =  uigetfile(); %choose a headinfo.txt
fid = fopen([pathname '\' headinfo]);
L = zeros(22,7);
for i = 1:22 % for each page
    fgetl(fid); %skip first line
    for j = 1:7 % for each row
        l = fgetl(fid);
        letters = l((size(l,2)-5):(size(l,2)-3));
        switch letters
            case 'ent'
                L(i,j) = 1;
            case 'omb'
                L(i,j) = 2;
            case 'car'
                L(i,j) = 3;
            case 'lty'
                L(i,j) = 4;
            case 'ity'
                L(i,j) = 5;
            case 'ood'
                L(i,j) = 6;
            case 'ade'
                L(i,j) = 7;
            case 'ire'
                L(i,j) = 8;
            case 'gas'
                L(i,j) = 9;
            case 'ury'
                L(i,j) = 10;
            case 'ics'
                L(i,j) = 11;
            case 'son'
                L(i,j) = 12;
            case 'ice'
                L(i,j) = 13;
            case 'ock'
                L(i,j) = 14;
            otherwise
                disp('Unexpected Case');
                return;
        end
        for k = 1:4 %skip the following 4 lines
            fgetl(fid);
        end
    end
    fgetl(fid); %skip the last line
end

fclose(fid);
save  ([pathname '\labelmatrix.txt'], 'L', '-ASCII');